Remove a User from a Batch of Groups
Removes a user from a batch of groups listed in an ANSI or UTF-8 encoded CSV file maintained in Access Control. You can use the Upload REST API to upload the file to the environment. The file format is as follows:
Group Name
GroupA
GroupBA user is removed from groups only if these conditions are met:
- The user must exist in the identity domain that services the environment
- The user must be assigned to a pre-defined role in the identity domain
- The groups provided must exist in Access Control and must not be pre-defined groups
Additionally, the user running this API must be authorized to perform this action. This API should be run only by a service administrator in the environment where a user is to be removed from the groups. With this API, you can see which records failed and the reason why they failed in addition to how many records passed and failed.
The presence of status -1 in the response indicates that the removal in progress. Use the job status URI to determine whether the removal is complete. Any non-zero status except -1 indicates failure.
Required Roles
Service Administrator or any predefined role and the Access Control - Manage granular role
REST Resource
PUT /interop/rest/security/<api_version>/groups
Table 13-49 Tasks for Remove a User from a Batch of Groups
| Task | Request | REST Resource |
|---|---|---|
| Remove a user from groups | PUT | /interop/rest/security/v1/groups |
| Remove a user from groups status | GET | /interop/rest/security/v1/jobs/<jobId> |
Request
Supported Media Types: application/x-www-form-urlencoded
The following table summarizes the request parameters.
Table 13-50 Parameters
| Name | Description | Type | Required | Default |
|---|---|---|---|---|
jobtype |
The string should have the value REMOVE_USER_FROM_GROUPS. This value denotes that the user is being removed from the groups.
|
Form | Yes | None |
filename |
The name of the uploaded ANSI or UTF-8 encoded CSV file containing information on the groups from which the user is to be removed, for example, The file must have been uploaded already using the Upload REST API. File format:
|
Form | Yes | None |
username |
The name of the user to remove from the provided list of groups. This user must already exist. | Form | Yes | None |
Response
Supported Media Types: application/json
Table 13-51 Parameters
| Name | Description |
|---|---|
details |
In the case of errors, details are published with the error string |
status |
See Migration Status Codes |
links |
Detailed information about the link |
href |
Links to API call or status API |
action |
The HTTP call type |
rel |
Possible values: self or Job Status. If the value is set to Job Status, you can use the href to get the status
|
data |
Parameters as key value pairs passed in the request |
items |
Details about the resource |
links |
Details of the first URL to be requested to get the job details; rel is "Job Details" |
Examples of Response Body
Example 1: Job is in Progress
{
"links": [
{
"href": "https://<BASE-URL>/interop/rest/security/<api_version>/groups",
"rel": "self",
"data": {
"jobType": "REMOVE_USER_FROM_GROUPS",
"filename": "<filename>",
"username": "<username>"
},
"action": "PUT"
},
{
"href": "https://<BASE-URL>/interop/rest/security/<api_version>/jobs/<jobId>",
"rel": "Job Status",
"data": null,
"action": "GET"
}
],
"details": null,
"status": -1,
"items": null
}
Example 2: Job Completes with Errors
{
"links": [
{
"rel": "self",
"href": "https://<BASE-URL>/interop/rest/security/<api_version>/jobs/<jobId>",
"data": null,
"action": "GET"
}
],
"details": "Failed to remove user from groups. File <filename> is not found. Specify a valid file name.",
"status": 1,
"items": null
}
Example 3: Job Completes without Errors
{
"links": [
{
"rel": "self",
"href": "https://<BASE-URL>/interop/rest/security/<api_version>/jobs/<jobId>",
"data": null,
"action": "GET"
}
],
"details": "Processed - 3, Succeeded - 1, Failed - 2.",
"status": 0,
"items": [
{
"GroupName":"<GROUPNAME>","Error_Details": "Group <GROUPNAME> is not found. Verify that the group exists."
},
{ "GroupName":"<GROUPNAME>","Error_Details": "Group <GROUPNAME> is not found. Verify that the group exists."
}
]
}
Sample cURL Command Basic Auth
curl -X PUT -s -u '<USERNAME>:<PASSWORD>' -H'Content-Type: application/x-www-form-urlencoded' -d 'jobtype=REMOVE_USER_FROM_GROUPS&filename=removeUserFromGroups.csv&username=Alex.Smith@example.com'
'https://<BASE-URL>/interop/rest/security/v1/groups'
Sample cURL Command OAuth 2.0
curl -X PUT --header "Authorization: Bearer <OAUTH_ACCESS_TOKEN>" -H 'Content-Type: application/x-www-form-urlencoded' -d 'jobtype=REMOVE_USER_FROM_GROUPS&filename=removeUserFromGroups.csv&username=Alex.Smith@example.com'
'https://<BASE-URL>/interop/rest/security/v1/groups'